//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM028-1 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1322
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3-5V
// SCK    PG12
// SDA    PD5
// RES    PD4
// DC     PD15
// CS     PD1 



#include "delay.h"
#include "sys.h"
#include "oled.h"
#include "bmp.h"
#include "led.h"
int main(void)
{
	u8 i;
	delay_init();
	LED_Init();
	OLED_Init();
	LED0=0;
	while(1)
	{
		OLED_DrawBMP(0,0,256,64,gImage_1,0);//ҶͼƬʾ
		delay_ms(1000);
		OLED_Fill(0,0,256,64,0x00);
		OLED_DrawSingleBMP(0,0,256,64,gImage_2,0);//ɫͼƬʾ
		delay_ms(1000);
		OLED_Fill(0,0,256,64,0x00);
		for(i=0;i<3;i++)
		{
		  OLED_ShowChinese(88-i*20,0,"ն",16+i*8,1);
			delay_ms(1000);
		  OLED_ShowChinese(88-i*20,0,"ն",16+i*8,0);
			delay_ms(1000);
		}
		OLED_ShowString(76,32," OLED TEST",16,0);
		delay_ms(1000);
		OLED_ShowString(0,48,"www.buydisplay.com",16,0);
		delay_ms(1000);
		OLED_Fill(0,0,256,64,0x00);
	}
}

